org.apache.tapestry5.services.javascript

## Class StylesheetLink

- java.lang.Object
- - org.apache.tapestry5.services.javascript.StylesheetLink

-     public final class StylesheetLink
      extends Object

  Captures the information needed to create a stylesheet link in the final `Document`, or as part of a JSON partial page render response.
  Since:
    5.2.0
  See Also:
    `DocumentLinker`, `JavaScriptStack`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StylesheetLink(Asset asset)`
    `StylesheetLink(Asset asset, StylesheetOptions options)`
    `StylesheetLink(String url)`
    `StylesheetLink(String url, StylesheetOptions options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Element container)` Invoked to add the stylesheet link to a container element.
    `boolean` | `equals(Object obj)`
    `StylesheetOptions` | `getOptions()` Returns an instance of `StylesheetOptions`.
    `String` | `getURL()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StylesheetLink

          public StylesheetLink(Asset asset)

    - #### StylesheetLink

          public StylesheetLink(Asset asset,
                                StylesheetOptions options)

    - #### StylesheetLink

          public StylesheetLink(String url)

    - #### StylesheetLink

          public StylesheetLink(String url,
                                StylesheetOptions options)

  - ### Method Detail

    - #### getURL

          public String getURL()

    - #### getOptions

          public StylesheetOptions getOptions()

      Returns an instance of `StylesheetOptions`. Never returns null (a blank options object is returned if null is passed to the constructor).

    - #### add

          public void add(Element container)

      Invoked to add the stylesheet link to a container element.
      Parameters:
        `container` - to add the new element to

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.